require 'spec_helper'

describe "server_tags" do
  let!(:client) { create_client }

  it "should create a server tag" do
    name = "josh"

    server_tag = client.server_tags.create(name: name)
    server_tag.name.should == name
    server_tag.resource_uri.should_not be_nil
    server_tag.server_ids.should be_empty

    server_tag.servers.should be_empty
  end
end
