# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'appfirst/version'

Gem::Specification.new do |spec|
  spec.name          = "appfirst"
  spec.version       = Appfirst::VERSION
  spec.authors       = ["Josh Lane & Thom Mahoney"]
  spec.email         = ["jlane@engineyard.com"]
  spec.summary       = %q{A ruby client for the AppFirst API}
  spec.description   = ""
  spec.homepage      = "http://github.com/engineyard/appfirst"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "faraday", "~> 0.8.9"
  spec.add_dependency "faraday_middleware"
  spec.add_dependency "cistern", "~> 0.2.3"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
