ENV['MOCK_APPFIRST'] ||= 'true'
ENV['APPFIRST_URL'] ||= "http://appfirst.localdev.engineyard.com:3000"

Bundler.require(:test)

require File.expand_path("../../lib/appfirst", __FILE__)
Dir[File.expand_path("../{shared,support}/*.rb", __FILE__)].each{|f| require(f)}

Cistern.formatter = Cistern::Formatter::AwesomePrint

if ENV['MOCK_APPFIRST'] == 'true'
  Cistern.timeout = 0
  Appfirst::Client.mock!
else
  Cistern.timeout = 10
end

RSpec.configure do |config|
  config.order = :random

  config.before(:each) do
    Appfirst::Client.mocking? && Appfirst::Client.reset!
  end
end
