module ClientHelper
  def create_client(attributes={})
    user     = ENV["APPFIRST_USER"] || attributes[:user] || "engineyard"
    password = ENV["APPFIRST_PASSWORD"] || attributes[:password] || "dontworryaboutit"

    merged_attributes = {user: user, password: password}
    merged_attributes.merge!(logger: Logger.new(STDOUT)) if ENV['VERBOSE']

    Appfirst::Client.new(merged_attributes)
  end
end

RSpec.configure do |config|
  config.include(ClientHelper)
end
